## xwiimote 0.3%2B20120630

=== debian/changelog ===
xwiimote (0.3+20120630-5+fakesync) saucy; urgency=low

  * Drop udev-monitor-blocking.patch, this was a thinko: xwii_monitor_get_fd()
    already explicitly sets the fd to blocking or nonblocking, and
    xwii_monitor_poll_fd() doesn't need a blocking fd. Go back to a non-ubuntu
    version number as we are back in sync.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 16 May 2013 15:16:22 +0200

xwiimote (0.3+20120630-5ubuntu1) saucy; urgency=low

  * Merge from Debian Unstable:
    - Add udev-monitor-blocking.patch: Set udev monitor socket to blocking, as
      we want to wait for events.

 -- Vibhav Pant <vibhavp@ubuntu.com>  Sun, 12 May 2013 08:47:12 +0530

xwiimote (0.3+20120630-5) unstable; urgency=low

  * Fix typo to libudev-dev. (Closes: #706896)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 06 May 2013 09:25:25 +0900

xwiimote (0.3+20120630-4) unstable; urgency=low

  * Add libbudev-dev to Depends of libxwiimote-dev. (Closes: #705465)
  * libudev move to Requires.private in pkg-config. (Closes: #705462)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 06 May 2013 00:13:00 +0900

xwiimote (0.3+20120630-3) unstable; urgency=low

  * Added symbol file.
  * Add libxwiimote1 to Depends of libxwiimote-dev. (Closes: #705003)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 12 Apr 2013 16:05:16 +0900

xwiimote (0.3+20120630-2ubuntu1) raring; urgency=low

  * Add udev-monitor-blocking.patch: Set udev monitor socket to blocking, as
    we want to wait for events.
  * Rebuild against libudev1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Mar 2013 19:35:39 +0100

xwiimote (0.3+20120630-2) unstable; urgency=low

  * Fix wrong description (Closes: #684960)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 16 Aug 2012 06:28:12 +0900

xwiimote (0.3+20120630-1) unstable; urgency=low

  * Initial release. (Closes: #683149)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 28 Jul 2012 07:48:14 +0900
