=== debian/control ===
Source: xwiimote
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), automake, autoconf, libtool,
	libncurses5-dev, libudev-dev, pkg-config
Standards-Version: 3.9.3
Homepage: https://github.com/dvdhrm/xwiimote
Vcs-Git: git://anonscm.debian.org/collab-maint/xwiimote.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xwiimote.git

Package: xwiimote
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Nintendo Wii Remote Linux Device Driver Tools
 This provides tools related to the open source Nintendo Wii
 Remote linux device driver.
 .
 This contains the tool for displaying Wii remote connected and the setting
 tool which uses operation of Wii remote as keyboard. 

Package: libxwiimote1
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: xwiimote library - runtime
 This package contains the runtime library files needed to run software
 using xwiimote.

Package: libxwiimote-dev
Section: libdevel
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxwiimote1 (= ${binary:Version}), libudev-dev 
Description: xwiimote library - development
 This package contains the header and development files needed to build
 programs and packages using xwiimote.
