=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

confflags := --disable-silent-rules \
	--prefix=/usr \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	$(NULL)
confflags += $(shell dpkg-buildflags --export=configure)

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- $(confflags)

override_dh_auto_clean:
	rm -rf Makefile.in \
		build-aux	\
		aclocal.m4 \
		config.h.in	\
		config.log	\
		configure	\
		m4/libtool.m4	\
		m4/ltoptions.m4	\
		m4/ltsugar.m4	\
		m4/ltversion.m4	\
		m4/lt~obsolete.m4	\
		lib/.libs	\
		xwiikeymap	\
		xwiidump	\
		xwiishow	\
		.libs	\
		tools/.dirstamp	\
		tools/*.o	\
		lib/*.o \
		lib/*.lo	\
		Makefile	\
		config.h	\
		onfig.log	\
		config.status	\
		libtool	\
		libxwiimote.la	\
		libxwiimote.pc	\
		stamp-h1

	dh_auto_clean
