## xwiimote 2

=== debian/changelog ===
xwiimote (2-4.3) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Update Homepage and add watch file.
  * Add Build-Depends-Package.

  [ Debian Janitor ]
  * Update upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Feb 2025 04:16:41 +0100

xwiimote (2-4.2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Fixup Breaks+Replaces unrelated to the 64-bit time_t transition.
  * Fix building twice in a row.  (Closes: #1045999)
  * Work around struct input_event.time kernel api change.  (Closes: #1065993)
  * Update obsolete B-D.
  * The toolchain defaults to linking with --as-needed since bullseye.
  * Declare Rules-Requires-Root: no.
  * Drop superfluous bits from d/copyright.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libxwiimote-dev: Add Multi-Arch: same.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Apr 2024 09:09:48 +0200

xwiimote (2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063299

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 08:07:03 +0000

xwiimote (2-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Nobuhiro Iwamatsu ]
  * d/rules: Fix FTCBFS: Configure once via dh_auto_configure only.
    (Closes: 947210)
  * d/rules: Fix dh_install.
  * d/control: Bump Standards-Version to 4.5.0.
  * d/control: Use debhelper-compat instead of debhelper.
  * d/copyright: Fix lintian warning.
    xwiimote source: global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * d/upstream/metadata: Add file.
  * d/control: Drop dpkg-dev, automake, autoconf and libtool from B-D.
  * d/libxwiimote2.lintian-overrides: Remove override file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Nov 2020 15:39:54 +0900

xwiimote (2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 19 Jul 2014 15:57:24 +0900

xwiimote (2-2) experimental; urgency=medium

  * Move libxwiimote.7 to libxwiimote-dev.
  * Move 50-xorg-fix-xwiimote.conf to xwiimote.
  * Update debian/control.
    - Add Breaks: libxwiimote2 (<< 2-2) and Replaces: libxwiimote2 (<< 2-2)
      to libxwiimote-dev.
    - Add Breaks: libxwiimote2 (<< 2-2) and Replaces: libxwiimote2 (<< 2-2)
      to xwiimote.
    - Add libxwiimote1 to Breaks.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 09 Jul 2014 02:20:40 +0900

xwiimote (2-1) experimental; urgency=medium

  * New upstream released. (Closes: #743784)
  * Update debian/control.
    - Bump Standards-Version to 3.9.5.
  * Update soname from 1 to 2.
  * Update symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 19 Apr 2014 17:18:17 +0900

xwiimote (0.3+20120630-6) unstable; urgency=medium

  * Move libxwiimote.7 to libxwiimote-dev.
  * Update debian/control.
    - Add Breaks: libxwiimote1 (<< 0.3+20120630-6) and Replaces: libxwiimote1
      (<< 0.3+20120630-6) to libxwiimote-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 19 Apr 2014 17:46:18 +0900
