=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -18,8 +18,13 @@
 	dh $@
 
 override_dh_auto_configure:
-	./autogen.sh
+	NOCONFIGURE=1 ./autogen.sh
 	dh_auto_configure -- $(confflags)
+
+override_dh_install:
+	rm -rf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libxwiimote.la
+	rm -rf debian/tmp/usr/share/doc/*
+	dh_install
 
 override_dh_auto_clean:
 	rm -rf Makefile.in \
